# ZPhotoSlides, Zope product
# Copyright (C) 2002-2003  Jean-Franois Roche <jfroche@jfroche.be>
#                          Florent Carlier <florent.carlier@insa-rennes.fr>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
# $Id: postalcard.py,v 1.5 2003/07/10 19:09:51 jfroche Exp $'


from OFS.Folder import Folder
from Persistence import Persistent
import Acquisition

class post(Persistent):
    """a postcard"""
    def __init__(self,id_photo,sessionID,n_to,e_to,n_from,e_from,commt,date,AR,size,ip):
        self.id = sessionID
	print "adding ip : " + ip
	self.adrip = ip
	self.id_photo = id_photo
	self.sessionID = sessionID
	self.n_to = n_to
	self.e_to = e_to
	self.n_from = n_from
	self.e_from = e_from
        self.commt = commt
        self.date = date
	self.AR = AR
	print "new size:" + size
	self.size = size
       
class postalcards(Persistent,Acquisition.Implicit):
    """the postcard system"""
    def __init__(self):
        self.listecard = []
    def add_new(self,id_photo,sessionID,n_to,e_to,n_from,e_from,commt,date,AR,size,ip):
        dictcard = post(id_photo,sessionID,n_to,e_to,n_from,e_from,commt,date,AR,size,ip)
        l = self.listecard
        l.append(dictcard)
        self.listecard = l
    def __repr__(self):
         return str(self.listecard)
    def index(self, item):
         return self.listecard.index(item)
    def __getitem__(self, i):
         return self.listecard[i]
    def __setitem__(self, i, item):
        self.listecard[i] = item
        self._p_changed = 1
    def remove(self, item):
        self.listecard.remove(item)
        self._p_changed = 1
    def empty(self):
        "Say if the postcard list is empty"
        if(len(self.listecard)):
           return 1
        else:
           return 0
    def __len__(self): return len(self.listecard)
    def __delitem__(self, i):
        del self.listecard[i]
        self._p_changed = 1
